%define module	Finance-Bank-LaPoste
%define name	perl-%{module}
%define version	1.03
%define release	1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Check your "La Poste" accounts from Perl
License:	GPL or Artistic
Group:		Development/Perl
Source:		%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildrequires:	perl-devel
Buildarch:	noarch
Requires:	perl(Crypt::SSLeay)

%description
This module provides a read-only interface to the Videoposte online
banking system at <https://www.videoposte.com/>.

The interface of this module is similar to other Finance::Bank modules.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc Changes
%{perl_vendorlib}/Finance/Bank/*
%{_mandir}/*/*

%changelog
* Tue Sep 20 2005 Pixel <pixel@mandriva.com> 1.03-1mdk
- new release (handle delayed-debit credit card pseudo account)

* Thu Feb 17 2005 Pixel <pixel@mandrakesoft.com> 1.02-1mdk
- new release

* Sat Jan  1 2005 Pixel <pixel@mandrakesoft.com> 1.01-1mdk
- new release

* Thu Jul 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.00-1mdk
- 1.00

* Thu Jan  8 2004 Pixel <pixel@mandrakesoft.com> 0.02-1mdk
- new release: internal change (the Finance::Bank::LaPoste::Statement hash now contains the "year")

* Wed Oct  8 2003 Pixel <pixel@mandrakesoft.com> 0.01-1mdk
- initial release
